/* $Id: image.gen_h,v 1.38 2000/02/13 02:22:09 kenelson Exp $ */

/* image.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/misc.h>
#include <gtk/gtkimage.h>


namespace Gtk {
//: Image Widget
//- An image is a client side pixmap.  As it is client side,
//- it can be altered directly by the program.  However, it
//- pays a performance hit.
//-
class Image : public Misc {


public:
  typedef Image          CppObjectType;
  typedef GtkImage            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkImage* gtkobj();
  const GtkImage* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Image();

private:

public:

  //: Create a Image widget from a Gdk_Image and Gdk_Bitmap.
  Image(const Gdk_Image &val, const Gdk_Bitmap &mask);



  //: Set the image.


  void set(const Gdk_Image& val,const Gdk_Bitmap& mask);

  //: Access the image.
  // void gtk_image_get(GtkImage*,GdkImage**,GdkBitmap**)
  void get(Gdk_Image &val,
	   Gdk_Bitmap &mask) const;



protected:
  // impl functions

};


//+ PROPERTIES(Gtk_Image)
//. name: image
//. type: Gdk_Image
//. get: {get()}
//. set: {set()}
//. desc: Images graphic representation.

//. name: mask
//. type: Gdk_Bitmap
//. get: {get()}
//. set: {set()}
//. desc: Bitmap that defines the boundaries of the image.

}
