/* $Id: item.gen_h,v 1.37 2001/07/15 13:33:38 murrayc Exp $ */

/* item.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/bin.h>
#include <gtk/gtkitem.h>


namespace Gtk {
//: Abstract base class for {\class Gtk::MenuItem}, {\class Gtk::ListItem} and {\class Gtk::TreeItem}.
//- The {\class Gtk::Item} widget is an abstract base class for {Gtk::MenuItem}, {Gtk::ListItem} and
//- {Gtk::TreeItem}.
class Item : public Bin {


public:
  typedef Item          CppObjectType;
  typedef GtkItem            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkItem* gtkobj();
  const GtkItem* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Item();

private:

public:

  //- This class can be considered as a virtual base class.
  //- Only the signals it provides are of any interest.
  //- You don't want to instantiate any objects of that class.



  //: Triggered when the item is selected




    emitable signal void select();

  //: Triggered when the item is deselected




    emitable signal void deselect();

  //: Triggered when the item is toggled




    emitable signal void toggle();

protected:
  Item();



protected:
  // impl functions
    virtual void select_impl();
    virtual void deselect_impl();
    virtual void toggle_impl();

};


}
